package cloud.javastudy.study.demo.config;

import cloud.javastudy.study.demo.controller.TestBean;
import org.springframework.beans.factory.annotation.Autowired;

import javax.servlet.*;
import javax.servlet.annotation.WebFilter;
import java.io.IOException;

/**
 * 这是一个第三方的Filter,只实现了Filter,没有添加WebFilter注解
 * @Author https://www.javastudy.cloud
 * @CreateTime 2019/11/8
 **/
public class ThirdFilter implements Filter {

    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
        // 进行逻辑处理
        System.out.println("in ThirdFilter");
        // 一定要记得这个,逻辑处理完之后,调用过滤器链,去进入到下一个过滤器
        chain.doFilter(request,response);
    }
}
